package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.MianMonitoredCoverageRate;
import com.lightinit.hsdatashow.entity.MianMonitoredCoverageRateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface MianMonitoredCoverageRateMapper {
    long countByExample(MianMonitoredCoverageRateExample example);

    int deleteByExample(MianMonitoredCoverageRateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(MianMonitoredCoverageRate record);

    int insertSelective(MianMonitoredCoverageRate record);

    List<MianMonitoredCoverageRate> selectByExample(MianMonitoredCoverageRateExample example);

    MianMonitoredCoverageRate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") MianMonitoredCoverageRate record, @Param("example") MianMonitoredCoverageRateExample example);

    int updateByExample(@Param("record") MianMonitoredCoverageRate record, @Param("example") MianMonitoredCoverageRateExample example);

    int updateByPrimaryKeySelective(MianMonitoredCoverageRate record);

    int updateByPrimaryKey(MianMonitoredCoverageRate record);
}